| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | Static Public Member Functions | List of all members
nkWinUi::Static Class Reference

A graphical static text zone. More...

Inheritance diagram for nkWinUi::Static:

## Public Member Functions
| Static (System *system) noexcept
virtual | ~Static ()
ALIGNMENT | getAlignHorizontal () const
ALIGNMENT | getAlignVertical () const
bool | getWordWrap () const
virtual void | setAlignHorizontal (ALIGNMENT value)
virtual void | setAlignVertical (ALIGNMENT value)
virtual void | setWordWrap (bool value)
virtual void | exportIntrospection (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkWinUi::Component
| Component (System *system) noexcept
virtual | ~Component ()
Layout * | getLayout () const
Theme * | getTheme () const
Font * | getFont () const
nkMaths::Point | getPositionInParent () const
nkMaths::Point | getPositionInScreen () const
float | getWidth () const
float | getHeight () const
nkMaths::Rectangle | getAreaInParent () const
nkMaths::Rectangle | getAreaInScreen () const
virtual nkMaths::Point | getBorderExtents () const
virtual float | getBorderExtent (BORDER_KIND border) const
virtual float | getLayoutAllowedWidth () const
virtual float | getLayoutAllowedHeight () const
virtual float | getLayoutAllowedOffsetX () const
virtual float | getLayoutAllowedOffsetY () const
bool | isInitialized () const
System * | getSystem () const
Component * | getParentComponent () const
COMPONENT_TYPE | getComponentType () const
nkMemory::StringView | getComponentName () const
bool | getVisibility () const
virtual nkMemory::StringView | getLabel () const
void * | getData () const
bool | isEnabled () const
bool | isForegroundWindow () const
virtual unsigned int | getZDepth () const
bool | getVisibleOnLoad () const
std::function< bool(Component *)> | getCloseCallback () const
std::function< void(Component *, bool)> | getVisibilityCallback () const
std::function< void(Component *, const ClickEventData &)> | getClickCallback () const
std::function< void(Component *, const WheelEventData &)> | getWheelCallback () const
std::function< void(Component *, const KeyEventData &)> | getKeyCallback () const
virtual Layout * | setLayout (LAYOUT_TYPE layoutType)
virtual void | setTheme (Theme *theme)
virtual void | setFont (Font *font)
virtual void | setPositionInParent (nkMaths::Point position)
virtual void | setPositionInScreen (nkMaths::Point position)
virtual void | setSize (float width, float height)
virtual void | setWidth (float width)
virtual void | setHeight (float height)
void | setMinSize (float width, float height)
void | setMaxSize (float width, float height)
void | setRatio (float widthOverHeight)
virtual void | setAreaInParent (const nkMaths::Rectangle &area)
virtual void | setAreaInScreen (const nkMaths::Rectangle &area)
virtual void | setParentComponent (Component *parent, bool makeItVisible=true)
virtual void | setLabel (nkMemory::StringView label)
void | setComponentName (nkMemory::StringView name)
virtual void | setVisibility (bool value)
void | setData (void *data)
void | setEnabled (bool value)
void | setVisibleOnLoad (bool value)
void | setCloseCallback (std::function< bool(Component *caller)> callback)
void | setVisibilityCallback (std::function< void(Component *caller, bool visibility)> callback)
void | setClickCallback (std::function< void(Component *caller, const ClickEventData &eventData)> callback)
void | setWheelCallback (std::function< void(Component *caller, const WheelEventData &eventData)> callback)
void | setKeyCallback (std::function< void(Component *caller, const KeyEventData &eventData)> callback)
void | addChild (Component *child, bool makeItVisible=true)
void | removeChild (Component *child)
void | removeChild (unsigned int index)
Component * | getChild (unsigned int index)
unsigned int | getChildIndex (Component *child)
void | unloadWithChildren ()
void | loadWithChildren ()
void | updateZDepth ()
void | bringToForeground ()
void | focusWindow ()
nkMaths::Point | getCoordRelativeFromAbsolute (nkMaths::Point absCoords)
nkMaths::Point | getCoordAbsoluteFromRelative (nkMaths::Point relCoords)
virtual void | load ()=0
virtual void | unload ()=0
void | reload ()
virtual void | updateWindow ()
nkImages::Image | paintToImage (bool withFrame=false)
void | simulateEvent (const InputDescriptor &inputDescription)
virtual void | onSized ()
virtual void | exportClassToTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Static Public Member Functions
static nkMemory::UniquePtr< Static > | create (System *system=nullptr)

## Detailed Description

A graphical static text zone.

## Constructor & Destructor Documentation

## ◆ Static()

nkWinUi::Static::Static | ( | System * | system | ) |
| noexcept

Constructor.

Parameters

  system | The parent system in which the component will live.

Remarks
  See ComponentManager::createOrRetrieve().

## ◆ ~Static()

virtual nkWinUi::Static::~Static | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getAlignHorizontal()

ALIGNMENT nkWinUi::Static::getAlignHorizontal | ( |  | ) | const

Returns
  Current horizontal alignment used for content.

## ◆ getAlignVertical()

ALIGNMENT nkWinUi::Static::getAlignVertical | ( |  | ) | const

Returns
  Current vertical alignment used for content.

## ◆ getWordWrap()

bool nkWinUi::Static::getWordWrap | ( |  | ) | const

Returns
  Whether the word wrapping is active (true) or not (false).

## ◆ setAlignHorizontal()

virtual void nkWinUi::Static::setAlignHorizontal | ( | ALIGNMENT | value | ) |
| virtual

Sets the horizontal alignment used for content inside the static.

Parameters

  value | The alignment to use.

Remarks
  By default, ALIGNMENT::CENTER.

## ◆ setAlignVertical()

virtual void nkWinUi::Static::setAlignVertical | ( | ALIGNMENT | value | ) |
| virtual

Sets the vertical alignment used for content inside the static.

Parameters

  value | The alignment to use.

Remarks
  By default, ALIGNMENT::CENTER.

## ◆ setWordWrap()

virtual void nkWinUi::Static::setWordWrap | ( | bool | value | ) |
| virtual

Sets whether the word wrapping should happen during painting, or not. Enabling word wrapping will cause a line's text to break and continue on the next line if the component is not wide enough to display the line fully.

Parameters

  value | If the wrapping should happen (true) or not (false).

Remarks
  This is off by default.

## ◆ exportIntrospection()

virtual void nkWinUi::Static::exportIntrospection | ( | nkExport::Node * | rootNode | ) |
| override virtual

A basic exporting capability, for components inheriting. Components inheriting this class should rather reimplement this function to export their internal data.

Parameters

  rootNode | The root of the tree to export into.

Reimplemented from nkWinUi::Component.

## ◆ importClassFromTree()

virtual void nkWinUi::Static::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

A basic importing capability.

Parameters

  rootNode | The root of the tree to import from.

Reimplemented from nkWinUi::Component.

## ◆ create()

static nkMemory::UniquePtr<Static> nkWinUi::Static::create | ( | System * | system = `nullptr` | ) |
| static

Creates a standalone component, linking it to a system, but no manager. This method can be used to allocate a component and manually manage its lifetime.

Parameters

  system | The system to create the component into. If left to nullptr, then the Singleton instance will be used.

Returns
  The created component instance.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsWinUi/Components/Static.h